Subject: bug#27841: 25.2; Patch for completion-table-with-predicate

From: Ryan Thompson <[email-masked]>
Date: Fri, 04 Aug 2017 23:00:16 +0000

Ok, I will reformat them when I get the chance. Would you also like me to
provide an example where the old code does the wrong thing?

On Fri, Aug 4, 2017 at 3:53 PM <[email-masked]> wrote:

> tags 27841 + patch
> quit
>
> Ryan <[email-masked]> writes:
>
> > When the pred2 arg to completion-table-with-predicate is nil, it acts
> > like strict is non-nil, even if it isn't. I'm attaching a patch
> > (created with "git format-patch") that
> > fixes the bug.
>
> Looks reasonable, though I'm not very familiar with this code.  The
> commit messages should be reformatted into ChangeLog format, and the
> first one would be better rephrased into present tense.  I'm reattaching
> the patches inline here for convenience.
>
>